<div class="col-8 offset-2 mt-3">
  <h3>{{pageTitle}}</h3>
  <hr>

  <div class="mx-auto text-center mt-5" *ngIf="!posts"><img src="{{url +'loaders/6.gif'}}" alt=""></div>
  <div class="alert alert-warning text-center" *ngIf="posts && posts.length==0">
    La categoría no tiene ningún post todavía
  </div>
  <div class="d-flex flex-wrap pl-5" *ngIf="posts && posts.length>0">
    <div class="card mt-4 mx-4 text-center" style="width: 301px;" *ngFor="let post of posts">
      <img src="{{url + 'post/getImage/'+ post.image}}" style="width:300px" class="card-img-top" *ngIf="post.image">
      <img src="https://via.placeholder.com/300" alt="" style="width:300px" class="card-img-top" *ngIf="!post.image">
      <h5 class="card-title">{{post.title}}</h5>
      <div class="card-body">
        <p class="card-text" [innerHtml]="post.content"></p>
        <div class="text-center" *ngIf="identity">
          <a [routerLink]="['/post',post.id]" class="btn btn-success mx-2"> Leer</a>
          <a [routerLink]="['/post/edit',post.id]" class="btn btn-warning mx-2" *ngIf="identity.sub==post.user.id">
            Editar</a>
          <button class="btn btn-danger mx-2" *ngIf="identity.sub==post.user.id" data-toggle="modal"
            [attr.data-target]="'#deleteModal'+post.id">Borrar</button>
        </div>
      </div>

      <div class="card-footer">
        <small class="text-muted">Creado
          {{ (post.createdAt.timestamp | amFromUnix) | amDateFormat:'DD/MM/YY hh:mmA' }}</small>
      </div>
      <!--Modal-->
      <div class="modal fade" id="{{'deleteModal'+post.id}}" tabindex="-1" role="dialog"
        aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Confirmar borrado {{post.title}}</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              ¿Estás seguro de que quieres borrar esta publicación?
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
              <button type="button" class="btn btn-danger" (click)="delete(post.id)" data-dismiss="modal">Sí, Borrar</button>
            </div>
          </div>
        </div>
      </div>
      <!---->
    </div>
  </div>

</div>
